Package logilab :: Package common :: Module proc

[frames] | no frames]

# Module proc

source code

    module providing:
    * process information (linux specific: rely on /proc)
    * a class for resource control (memory / time / cpu time)

    This module doesn't work on windows platforms (only tested on linux)

    :organization: Logilab

Classes
| NoSuchProcess
| ProcInfo provide access to process information found in /proc
| ProcInfoLoader manage process information
| ResourceError Error raise when resource limit is reached
| XCPUError Error raised when CPU Time limit is reached
| LineageMemoryError Error raised when the total amount of memory used by a process and...
| TimeoutError Error raised when the process is running for to much time
| MemorySentinel A class checking a process don't use too much memory in a separated...
| ResourceController

Functions

proc_exists(pid) check the a pid is registered in /proc... | source code

Variables
| PPID = `3`
| UTIME = `13`
| STIME = `14`
| CUTIME = `15`
| CSTIME = `16`
| VSIZE = `22`
| RESOURCE_LIMIT_EXCEPTION = `ResourceError, MemoryError`

Function Details

### proc_exists(pid)

source code

    check the a pid is registered in /proc
    raise NoSuchProcess exception if not